classification
Title: Add attribute pointing to wrapped function in functools.update_wrapper
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.2
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: ncoghlan Nosy List: eric.araujo, ncoghlan, r.david.murray, rhettinger
Priority: normal Keywords:

Created on 2010-08-11 02:37 by eric.araujo, last changed 2010-08-17 06:18 by ncoghlan. This issue is now closed.

Messages (3)
msg113579 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-11 02:37
Raymond in #9396:

“I was just about to propose that functools.wraps add a standard attribute to point at the underlying function (on the theory that objects should be introspectable).  This would allow a standard way to get to the underlying unwrapped functions.”
msg113581 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2010-08-11 02:51
python-dev thread: http://mail.python.org/pipermail/python-dev/2010-August/102988.html
msg114100 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2010-08-17 06:18
Implemented in r84132
History
Date User Action Args
2010-08-17 06:18:14ncoghlansetstatus: open -> closed

messages: + msg114100
stage: test needed -> resolved
2010-08-13 16:26:05ncoghlansetresolution: accepted
2010-08-11 02:59:26ncoghlansettitle: Add attribute pointing to wrapped function to partial objects -> Add attribute pointing to wrapped function in functools.update_wrapper
2010-08-11 02:51:08ncoghlansetmessages: + msg113581
2010-08-11 02:50:06ncoghlansetassignee: ncoghlan

nosy: + ncoghlan
2010-08-11 02:38:21eric.araujolinkissue9396 dependencies
2010-08-11 02:37:13eric.araujocreate